> ## Documentation Index
> Fetch the complete documentation index at: https://docs.axle.energy/llms.txt
> Use this file to discover all available pages before exploring further.

# Send intent update event

> Send notification of an intent being updated on an asset.



## OpenAPI

````yaml POST /entities/asset/{asset_id}/event/intent
openapi: 3.1.0
info:
  title: Axle API Docs
  description: >-
    For full documentation please see our official docs at <a
    href='http://docs.axle.energy'>docs.axle.energy</a>
  version: 1.4.6
servers:
  - url: https://api-sandbox.axle.energy
security: []
tags:
  - name: 1. Authentication
    description: Authenticate yourself with the Axle API
  - name: 2. Meters
    description: Find key info about your sites
  - name: 3. Sites
    description: Register your sites with Axle; configure market participation
  - name: 4. Assets
    description: Register your assets with Axle
  - name: 5. Data
    description: Send asset metrics to Axle, for analysis and optimisation purposes
  - name: 6. Rewards
    description: >-
      Determine how much your users have earned by participating with Axle;
      allow balance withdrawal
  - name: 7. Validation
    description: Validate structured data against Axle's rules
  - name: 8. Examples
    description: Get example data for testing
paths:
  /entities/asset/{asset_id}/event/intent:
    post:
      tags:
        - 4. Assets
      summary: Asset Intent Update Event
      description: Send notification of an intent being updated on an asset.
      operationId: asset_intent_update_event_entities_asset__asset_id__event_intent_post
      parameters:
        - required: true
          schema:
            type: string
            format: uuid
            title: Asset Id
          name: asset_id
          in: path
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IntentEventRequest'
        required: true
      responses:
        '200':
          description: Intent event successfully processed
          content:
            application/json:
              schema: {}
        '404':
          description: Asset not found or not authorized to access
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          description: Server error while processing event
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    IntentEventRequest:
      properties:
        intent:
          allOf:
            - $ref: '#/components/schemas/Intent'
          title: Intent
          description: Intent to charge the vehicle.
      type: object
      required:
        - intent
      title: IntentEventRequest
      description: >-
        This event should be triggered when the end user updates their charging
        preferences.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Intent:
      properties:
        energy_required_kwh:
          type: number
          title: Energy Required Kwh
        ready_by:
          type: string
          format: date-time
          title: Ready By
          description: >-
            Deprecated: use ready_by_local_time instead. The date component is
            discarded; only used to derive local time when ready_by_local_time
            is absent.
        ready_by_local_time:
          type: string
          format: time
          title: Ready By Local Time
          description: Local time by which energy is required (wall time)
        energy_estimated:
          type: boolean
          title: Energy Estimated
          description: >-
            False if energy_required_kwh is derived from target %SOC set on
            vehicle (e.g. via Enode), True if the energy_required_kwh is purely
            a user input
        may_charge_peak:
          type: boolean
          title: May Charge Peak
          description: >-
            If True, the vehicle may be charged in peak periods but only if all
            off-peak periods are used up and the energy requirement is not met.
          default: false
        charging_mode:
          allOf:
            - $ref: '#/components/schemas/ChargingMode'
          description: >-
            Charging strategy: maximise_charging_time (charge all available
            periods) or minimise_charging_time (charge only up to the user's
            stated intent in kWh)
          default: maximise_charging_time
      type: object
      required:
        - energy_required_kwh
        - ready_by
      title: Intent
      description: This is the received intent from a user
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ChargingMode:
      type: string
      enum:
        - maximise_charging_time
        - minimise_charging_time
      title: ChargingMode
      description: An enumeration.
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: auth/token-form

````